Results 1 to 3 of 3

Thread: updating libexiv2

  1. #1
    Join Date
    Sep 2008
    Location
    Earl Shilton UK
    Posts
    298

    Question updating libexiv2

    Hi,

    I'm getting provides errors while updating. I'm running kde4.1 (the factory version)

    The errors in YaST are:
    nothing provides libexiv2.so.4 needed by kde4-gwenview-4.1.3-51.11.i586

    It's also stopping kde4-okular and libkexiv

    Additionally, nothing provides bluez needed by kdebluetooth4-0.2-13.28.i586

    Any ideas on what I might be missing?

  2. #2
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,728
    Blog Entries
    20

    Default Re: updating libexiv2

    Really we could do with seeing the whole dependency error output. You can save it to file from the error box that pop's up in Yast (press the other button).

    Paste it here.

    It's likely a conflict between old kde4.0.4 packages and the Factory. But just tell me, when you look in Yast - Software Management and filter by repo and look at kde4 factory desktop, are there alot of blue or red updates? Say which?
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  3. #3
    Join Date
    Sep 2008
    Location
    Earl Shilton UK
    Posts
    298

    Default Re: updating libexiv2

    The output from selecting Packages > Update all if newer version available is:
    Code:
    nothing provides libusb-1.0.so.0 needed by libifp4-1.0.0.2-0.pm.5.i586
    
        [ ] do not install libifp4-1.0.0.2-0.pm.5.i586
    
    
    nothing provides libicuuc.so.40 needed by OpenOffice_org-3.0.0.3.5-1.2.i586
    
        [ ] do not install OpenOffice_org-3.0.0.3.5-1.2.i586
    
    
    nothing provides libdjvulibre.so.21 needed by kde4-okular-4.1.3-51.11.i586
    
        [ ] do not install kde4-okular-4.1.3-51.11.i586
    
    
    nothing provides bluez needed by kdebluetooth4-0.2-13.30.i586
    
        [ ] do not install kdebluetooth4-0.2-13.30.i586
    
    
    
    #### YaST2 conflicts list END ###
    I managed to resolve the libexiv2 problem by searching webpin & temporarily adding a repo (multimedia:/photo iirc) with it in. These others are still bugging me though.

    There are no blue/red updates in the factory desktop repo.

    Thanks for you help.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •